This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 566070 - Malformed qemu+ssh URL crashes libvirtd
Malformed qemu+ssh URL crashes libvirtd
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: libvirt (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Daniel Veillard
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-02-16 23:11 EST by David Kaylor
Modified: 2010-05-28 13:56 EDT (History)
7 users (show)

See Also:
Fixed In Version: libvirt-0.7.1-16.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-28 13:56:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Kaylor 2010-02-16 23:11:38 EST
Description of problem:
Attempting to connect without "/system" at the end of the URL crashes libvirtd.

Version-Release number of selected component (if applicable):
0.7.1-15.fc12

Steps to Reproduce:
1. /etc/init.d/libvirtd status
2. virsh -c qemu+ssh://root@localhost
3. /etc/init.d/libvirtd status
  
Actual results:
libvirtd dead but pid file exists

Expected results:
libvirtd (pid  xxx) is running...
Comment 1 Cole Robinson 2010-03-16 11:53:42 EDT
Fixed upstream here:

http://libvirt.org/git/?p=libvirt.git;a=commit;h=c11a82b62aefc21e070c527f59a1f9c57a7b4f36

Worth a backport.
Comment 2 Fedora Update System 2010-05-18 12:55:29 EDT
libvirt-0.7.1-16.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/libvirt-0.7.1-16.fc12
Comment 3 Fedora Update System 2010-05-19 15:13:29 EDT
libvirt-0.7.1-16.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update libvirt'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/libvirt-0.7.1-16.fc12
Comment 4 Fedora Update System 2010-05-28 13:55:42 EDT
libvirt-0.7.1-16.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.